Get a single log
curl --request GET \
--url https://my.orq.ai/v3/logs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v3/logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v3/logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"log": {
"id": "<string>",
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"observed_timestamp": "2023-11-07T05:31:56Z",
"severity_number": 123,
"severity_text": "<string>",
"body": "<string>",
"body_is_json": true,
"event_name": "<string>",
"dropped_attributes_count": 123,
"trace_flags": 123,
"scope_name": "<string>",
"scope_version": "<string>",
"scope_attributes": {},
"log_attributes": {},
"resource_attributes": {},
"service_name": "<string>",
"service_version": "<string>",
"deployment_environment": "<string>",
"host_name": "<string>",
"project_id": "<string>"
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Logs
Get a single log
Retrieve a log record by its ULID. Returns 404 if the record does not exist or belongs to another workspace.
GET
/
v3
/
logs
/
{id}
Get a single log
curl --request GET \
--url https://my.orq.ai/v3/logs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v3/logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v3/logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"log": {
"id": "<string>",
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"observed_timestamp": "2023-11-07T05:31:56Z",
"severity_number": 123,
"severity_text": "<string>",
"body": "<string>",
"body_is_json": true,
"event_name": "<string>",
"dropped_attributes_count": 123,
"trace_flags": 123,
"scope_name": "<string>",
"scope_version": "<string>",
"scope_attributes": {},
"log_attributes": {},
"resource_attributes": {},
"service_name": "<string>",
"service_version": "<string>",
"deployment_environment": "<string>",
"host_name": "<string>",
"project_id": "<string>"
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Was this page helpful?